Create Refund
This endpoint performs a full or partial refund.
The refund operation is idempotent if a unique requestId and merchantReference are provided.
Connection Timeouts
Authentication
AuthorizationBasic
Basic authentication of the form Basic <base64(username:password)>.
Path parameters
environment
Use api-sandbox for AU/NZ, or api.us-sandbox for US.
orderId
The unique Afterpay Order ID to apply the refund to.
Headers
User-Agent
Accept
Request
This endpoint expects an object.
amount
The refund amount. The refund amount can not exceed the payment total.
requestId
A unique request ID, required for safe retries. It is recommended that the merchant generate a UUID for each unique refund.
merchantReference
The merchant’s internal refund id/reference. This must be included along with the requestId to utilise idempotency.
Response
Returns a Refund object in response. All request parameters will be echoed in the response. In addition, the response includes the following:
Errors
412
Precondition Failed Error
422
Unprocessable Entity Error